Endpoint
POST /oauth/par
To use Highly Regulated Identity features, you must have an Enterprise Plan with the Highly Regulated Identity add-on. Refer to Auth0 Pricing for details.
/oauth/par endpoint to allow applications to send the authorization parameters usually sent in a GET request to /authorize. PAR uses a POST method from the backend to keep parameter values secure. The /oauth/par endpoint accepts all authorization parameters which can be provided to /authorize. Assuming the call to the /oauth/par endpoint is valid, Auth0 will respond with a redirect_uri value that can be used as a parameter for the /authorize endpoint.
Assuming the call to the /oauth/par endpoint is valid, Auth0 will respond with a redirect_uri value also used as a parameter for the /authorize endpoint. To learn more about configuring PAR, read Configure Pushed Authorization Requests (PAR).
Remarks
- To make a call to the PAR endpoint, you must:
- Set the request content type as
application/x-www-form-urlencoded - Use
stringsfor all passed parameters - Include an additional parameter for application authentication in the request (e.g.
client_secret, orclient_assertionandclient_assertion_typefor JSON Web Token Client Authentication, or pass aclient-certificateandclient-certificate-ca-verifiedheader when using Mutual TLS).
- Set the request content type as
- Use the
authorization_detailsparameter to request permission for each resource. For example, you can specify an array of JSON objects to convey fine-grained information on the authorization. Each JSON object must contain atypeattribute. The rest is up to you to define.
Headers
A DPoP proof for the request. This is optional and only required if your application uses Demonstrating Proof-of-Possession.
Body Parameters
The identifier of the target API (resource server) you want to access. Must match an API Identifier registered in your Auth0 tenant. Used as an alternative to
audience when the tenant’s Resource Parameter Compatibility Profile is set to compatibility.The JWK Thumbprint RFC7638 of the proof-of-possession public key using the SHA-256 hash function. Only when using Demonstrating Proof-of-Possession (DPoP).